Subject: Re: Organic certification: Info?

From: [email-masked] (Greg McGary)
Date: Mon, 6 Jun 1994 13:13:03 GMT

[email-masked] wrote on Sun, 5 Jun 1994 23:31:28 EDT:
>      I am interested in the location of any material on Organic Gardening
>  Certification. I have been gardening using  NO perticides and NO chemical
>  fertilizers (Only Compost). Any information, FTP sites, news groups, books
>  or magazines would be greatly appreciated. I farm approx. 2.5 acres, and
>  would like to expand. Thanks!

The following information comes from the "Resources" appendix of a
nice book on basic soil ecology called _Start with the Soil_ by Grace
Gershuny, published in 1993 by Rodale Press.

		Organic Certification Program Information:

	California Certified Organic Farmers
	P.O. Box 8136
	Santa Cruz, CA 95061

	Farm Verified Organic
	R.R. 1, Box 40A
	Medina, ND 58467

	Natural Organic Farmers Association
	411 Sheldon Road
	Barre, MA 01005

	Organic Crop Improvement Association
	3185 Township Road 179
	Bellefontaine, OH 43311

	Organic Foods Production Association of North America
	P.O. Box 1078
	Greenfield, MA 01301

	Organic Growers & Buyers Association
	1405 Silver Lake Road
	New Brighton, MN 55112

I hope this helps!

--
Greg McGary          (804) 361-1665          [email-masked]

-
Other resources include:

Demeter Associates, Colorado - biodynamic certification

Oregon Tilth

Carolina Farm Stewardship Assn. (Va., NC, SC)

-
[email-masked]